Bug 221030 - fish shell copy uses incorrect free space value
fish shell copy uses incorrect free space value
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 12:59 EST by Adam Pribyl
Modified: 2013-07-02 19:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:54:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mc fish copy no space left on device (182.19 KB, image/png)
2008-04-07 05:45 EDT, Adam Pribyl
no flags Details
mc fish copy incomplete file (182.19 KB, image/png)
2008-04-07 05:46 EDT, Adam Pribyl
no flags Details
mc fish copy incomplete file (181.86 KB, image/png)
2008-04-07 05:50 EDT, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2006-12-30 12:59:12 EST
Description of problem:
When copiing trough fish shell link the MC uses as free space on target
filesystem the value of the free space from local file system.


Version-Release number of selected component (if applicable):
mc-4.6.1a-35.fc6


How reproducible:
always

On local file system you have 37MB free space. You want to copy from this
machine 1GB large file. On target file system there is several GB of free space.
Creating a shell link and pressing F5 to copy file from local to remote results
in message that there is not enought free space on target system.
 Cannot write target file "/#sh:192.168.0.~/file"
 No space left on device (28)
fish: storing file 37740544 (37740544)
 Incomplete file was retrieved. Keep it? 
Then MC asks if it should leave copied 37MB to target system. If you choose keep
it, the you have 37MB file on target system.


Additional info:
Target system was Ubuntu 6.10. This is probably not Fedora specific bug.
Comment 1 Jindrich Novy 2007-01-04 04:14:23 EST
This is strange as free space is displayed only on local filesystems so that you
shouldn't see anything like free space on the remote machine via fish. Does the
ftpfs behave in the same way?
Comment 2 Adam Pribyl 2007-01-04 11:51:29 EST
I do not know if this is related to what is shown as free space in mc, this is a
fish copy behaviour problem.

Fish only copies amount of data that matches the local free space. I found it
always uses free space of root device.

I created testbed using two vmware player instancies of FC. 
On one I filled file system with 

dd if=/dev/zero of=testfile bs=512 count=<do not fill root file space completely
but created file has to be larger than remaining free space>

then I tried to copy the testfile to the ohter instance of FC. The fish stops
copiing when it copies amount of data that corresponds to free space of local
root file system.

I tried to create loop mounted non-root fs but with this fish works.

I can not simply test the ftpfs now as I can not install ftpserver at the moment.
Comment 3 Bug Zapper 2008-04-04 01:24:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Pribyl 2008-04-07 05:45:42 EDT
Created attachment 301488 [details]
mc fish copy no space left on device

The behaviour seems to slightly change, but the problem is still present.

I found the problem appears to be due to fact, that fish first copies the
copied file to the /tmp/mc-<username> on local filesystem, then it tries to
transfer it to remote one. For some reason now the behaviour is:
MC produces message with "No space left on device", then whatever you choose,
it starts to transfer something to remote host with message "fish: stroing file
1928389 (66691072)", then it stops again with "Incomplete file was retrieved.
Keep it?"

I'll attach screenshots to demonstrate this. Please note that on remote
filesystem there is plenty of space.
Comment 5 Adam Pribyl 2008-04-07 05:46:34 EDT
Created attachment 301489 [details]
mc fish copy incomplete file
Comment 6 Adam Pribyl 2008-04-07 05:48:12 EDT
See screenshots.
Comment 7 Adam Pribyl 2008-04-07 05:50:17 EDT
Created attachment 301490 [details]
mc fish copy incomplete file

Attached incorrect file..
Comment 8 Pavel Alexeev 2008-09-06 13:37:33 EDT
Mc copying files to /tmp before actually transfer it via fishfs.

I'm think design issue. This is not relevant to Fedora to my mind.
Comment 9 Bug Zapper 2008-11-26 02:08:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pavel Alexeev 2008-11-26 03:16:29 EST
This problem stil persist. So, I'm not maintainer, but I check it on Fedora 10 - it worked on same manner (copy file to temporary diractory, and only after it actually transfering). So, I change 'version' to Fedora 10.
Comment 11 Bug Zapper 2009-11-18 03:10:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 00:54:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.